チケット #515 (closed 不具合: fixed)

登録: 12 年 前

最終更新: 12 年 前

サンプル「ファイルのアップロード・ダウンロード 」:ダウンロード時にファイル名の半角スペースが「+」となっている

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp-sample バージョン: 0.1.2
キーワード: 関係者:

チケットの概要

原因

URL.encode(ファイル名, "UTF-8")を利用しているため。

修正案

encodeURIComponent()を利用して、半角スペースを「%20」に変換する。

script/file/file_main.js (リビジョン81) 120~128行目を以下のように修正

// UTF-8でURLエンコードを行う。
var encodedFileName = encodeURIComponent(request.targetFileName);

// ファイル名を設定
if(Web.getenv("HTTP_USER_AGENT").indexOf("MSIE") != -1){
    response.setHeader("Content-Disposition", "attachment; filename=\"" + encodedFileName + "\"");
}
else{
    response.setHeader("Content-Disposition", "attachment; filename*=UTF-8''" + encodedFileName);
}


添付ファイル

新規Microsoft Word 文書.doc (10.5 kB) - anonymous によって 2008/03/24 19:58:33 に登録されました。
新規Microsoft Word 文書.2.doc (10.5 kB) - anonymous によって 2008/03/24 19:58:43 に登録されました。

チケットの履歴

2007/10/16 12:18:53 更新者:shinomiya

  • ステータスnew から closed に更新されました。
  • 解決方法fixed に更新されました。

修正しました。
チェンジセット [130]

2008/03/24 19:58:33 更新者:anonymous

  • 添付ファイル 新規Microsoft Word 文書.doc が登録されました。

2008/03/24 19:58:43 更新者:anonymous

  • 添付ファイル 新規Microsoft Word 文書.2.doc が登録されました。

2008/04/14 17:10:13 更新者:anonymous

http://www.finishup.cn H?r f?rs?kte allts? pejlaren f? mig att "erk?nna" genom http://www.chinawordpress.net.cn hota med b?ter och r?tteg?ng. Hon f?rs?kte ?ven f? mig att erk?nna att jag har en http://www.chinaword.net.cn DVD-spelare kan emot tevesignaler. Visst finns det kanske DVD-spelare med tevemottagare men en som sitter i datorn? Lite komiskt. Videoapparater har oftast tevemottagare s? hade jag sagt ja d?r hade jag f?rmodligen varit illa ute http://www.tatto.com.cn Vid en r?tteg?ng st?r pejlarens ord mot ditt eftsom pejlaren ?r en tj?nsteman. Det vill s?ga att om pejlaren ser teven s? kan hon s?ga detta i r?tten och f?modligen vinna ocks?. Men om hon varken h?r eller ser teven s? har http://www.treadmilll.cn